<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:33 CEST 2019 -->
<title>JdbcTypeConverter (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="JdbcTypeConverter (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/jdbc/field/JDBC42ObjectConverter.html" title="class in org.firebirdsql.jdbc.field"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/jdbc/field/TypeConversionException.html" title="class in org.firebirdsql.jdbc.field"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/jdbc/field/JdbcTypeConverter.html" target="_top">Frames</a></li>
<li><a href="JdbcTypeConverter.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.jdbc.field</div>
<h2 title="Class JdbcTypeConverter" class="title">Class JdbcTypeConverter</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.jdbc.field.JdbcTypeConverter</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">JdbcTypeConverter</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">Helper class to convert from Firebird and metadata type information to JDBC type information.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/field/JdbcTypeConverter.html#fromFirebirdToJdbcType-int-int-int-">fromFirebirdToJdbcType</a></span>(int&nbsp;firebirdType,
                      int&nbsp;subtype,
                      int&nbsp;scale)</code>
<div class="block">Converts from the Firebird type, subtype and scale to the JDBC type value from <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Types.html?is-external=true" title="class or interface in java.sql"><code>Types</code></a>.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/field/JdbcTypeConverter.html#fromMetaDataToFirebirdType-int-">fromMetaDataToFirebirdType</a></span>(int&nbsp;metaDataType)</code>
<div class="block">Converts the metadata type value to the Firebird type value (null bit not set).</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/field/JdbcTypeConverter.html#fromMetaDataToJdbcType-int-int-int-">fromMetaDataToJdbcType</a></span>(int&nbsp;metaDataType,
                      int&nbsp;subtype,
                      int&nbsp;scale)</code>
<div class="block">Converts from the metadata type (as used in the system tables) to JDBC type values from <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Types.html?is-external=true" title="class or interface in java.sql"><code>Types</code></a>.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/field/JdbcTypeConverter.html#toJdbcType-org.firebirdsql.gds.ng.fields.FieldDescriptor-">toJdbcType</a></span>(<a href="../../../../org/firebirdsql/gds/ng/fields/FieldDescriptor.html" title="class in org.firebirdsql.gds.ng.fields">FieldDescriptor</a>&nbsp;fieldDescriptor)</code>
<div class="block">Gets the JDBC type value from <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Types.html?is-external=true" title="class or interface in java.sql"><code>Types</code></a> for the field descriptor.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="toJdbcType-org.firebirdsql.gds.ng.fields.FieldDescriptor-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toJdbcType</h4>
<pre>public static&nbsp;int&nbsp;toJdbcType(<a href="../../../../org/firebirdsql/gds/ng/fields/FieldDescriptor.html" title="class in org.firebirdsql.gds.ng.fields">FieldDescriptor</a>&nbsp;fieldDescriptor)</pre>
<div class="block">Gets the JDBC type value from <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Types.html?is-external=true" title="class or interface in java.sql"><code>Types</code></a> for the field descriptor.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fieldDescriptor</code> - Field descriptor</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>JDBC type, or <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Types.html?is-external=true#OTHER" title="class or interface in java.sql"><code>Types.OTHER</code></a> for unknown types</dd>
</dl>
</li>
</ul>
<a name="fromFirebirdToJdbcType-int-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fromFirebirdToJdbcType</h4>
<pre>public static&nbsp;int&nbsp;fromFirebirdToJdbcType(int&nbsp;firebirdType,
                                         int&nbsp;subtype,
                                         int&nbsp;scale)</pre>
<div class="block">Converts from the Firebird type, subtype and scale to the JDBC type value from <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Types.html?is-external=true" title="class or interface in java.sql"><code>Types</code></a>.
 <p>
 This method is not capable of identifying <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Types.html?is-external=true#ROWID" title="class or interface in java.sql"><code>Types.ROWID</code></a>; this will be identified
 as <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Types.html?is-external=true#BINARY" title="class or interface in java.sql"><code>Types.BINARY</code></a> instead.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>firebirdType</code> - Firebird type value (from <a href="../../../../org/firebirdsql/gds/ISCConstants.html" title="interface in org.firebirdsql.gds"><code>ISCConstants</code></a> <code>SQL_*</code> with or without nullable bit set</dd>
<dd><code>subtype</code> - Subtype</dd>
<dd><code>scale</code> - Scale</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>JDBC type, or <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Types.html?is-external=true#OTHER" title="class or interface in java.sql"><code>Types.OTHER</code></a> for unknown types</dd>
</dl>
</li>
</ul>
<a name="fromMetaDataToJdbcType-int-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fromMetaDataToJdbcType</h4>
<pre>public static&nbsp;int&nbsp;fromMetaDataToJdbcType(int&nbsp;metaDataType,
                                         int&nbsp;subtype,
                                         int&nbsp;scale)</pre>
<div class="block">Converts from the metadata type (as used in the system tables) to JDBC type values from <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Types.html?is-external=true" title="class or interface in java.sql"><code>Types</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>metaDataType</code> - Metadata type value</dd>
<dd><code>subtype</code> - Subtype</dd>
<dd><code>scale</code> - Scale</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>JDBC type, or <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Types.html?is-external=true#OTHER" title="class or interface in java.sql"><code>Types.OTHER</code></a> for unknown types</dd>
</dl>
</li>
</ul>
<a name="fromMetaDataToFirebirdType-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>fromMetaDataToFirebirdType</h4>
<pre>public static&nbsp;int&nbsp;fromMetaDataToFirebirdType(int&nbsp;metaDataType)</pre>
<div class="block">Converts the metadata type value to the Firebird type value (null bit not set).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>metaDataType</code> - Metadata type value</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Firebird type value</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/jdbc/field/JDBC42ObjectConverter.html" title="class in org.firebirdsql.jdbc.field"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/jdbc/field/TypeConversionException.html" title="class in org.firebirdsql.jdbc.field"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/jdbc/field/JdbcTypeConverter.html" target="_top">Frames</a></li>
<li><a href="JdbcTypeConverter.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
